Opened 5 years ago

Closed 4 years ago

#8934 closed Task/To do item (fixed)

Upgrade Roundcube to 1.0.0 (and 1.0.1) Release

Reported by: https://id.mayfirst.org/srevilak Owned by: https://id.mayfirst.org/srevilak
Priority: Medium Component: Tech
Keywords: roundcube Cc:
Sensitive: no

Description

At long last, the 1.0.0. release of Roundcube is out

http://lists.roundcube.net/pipermail/announce/2014-April/000122.html

We should install this on roundcube.dev.mayfirst.org, and if appropriate, roll it out to roundcube.mayfirst.org.

Change History (8)

comment:1 Changed 5 years ago by https://id.mayfirst.org/srevilak

  • Owner set to https://id.mayfirst.org/srevilak
  • Status changed from new to assigned

comment:2 Changed 5 years ago by https://id.mayfirst.org/dkg

Thanks for working on this, srevilak!

comment:3 Changed 5 years ago by https://id.mayfirst.org/srevilak

git branching and tagging

Crap. While preparing a local copy of the code, I accidentally said "git push gmo ..." when I didn't mean to. This had the side effect of fast forwarding gmo/mfpl-release-1.0 way past the 1.0.0 release tag :(

Let's start with a clean slate, and see if we can straighten this out.

0 sunny:roundcube$ git init
Initialized empty Git repository in /home/srevilak/work/mfpl/roundcube/.git/
0 sunny:roundcube$ git init
Reinitialized existing Git repository in /home/srevilak/work/mfpl/roundcube/.git/
0 sunny:roundcube$ git remote add gmo git://git.mayfirst.org/mfpl/roundcube
0 sunny:roundcube$ git config remote.gmo.pushurl ssh://gitosis@git.mayfirst.org/mfpl/roundcube
0 sunny:roundcube$ git remote add origin https://github.com/roundcube/roundcubemail
0 sunny:roundcube$ git remote update
Fetching gmo
remote: Counting objects: 73553, done.
remote: Compressing objects: 100% (21869/21869), done.
remote: Total 73553 (delta 53799), reused 70576 (delta 50843)
Receiving objects: 100% (73553/73553), 19.93 MiB | 109 KiB/s, done.
Resolving deltas: 100% (53799/53799), done.
From git://git.mayfirst.org/mfpl/roundcube
 * [new branch]      master     -> gmo/master
 * [new branch]      mfpl       -> gmo/mfpl
 * [new branch]      mfpl-0.9   -> gmo/mfpl-0.9
 * [new branch]      mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-0.9.5-mfpl1 -> roundcube-0.9.5-mfpl1
 * [new tag]         roundcube-mfpl-0.8.6 -> roundcube-mfpl-0.8.6
 * [new tag]         roundcube-v1.0-beta-mfpl1 -> roundcube-v1.0-beta-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         0.8.6      -> 0.8.6
 * [new tag]         0.9-rc2    -> 0.9-rc2
 * [new tag]         roundcube-v1.0-rc-mfpl1 -> roundcube-v1.0-rc-mfpl1
 * [new tag]         v0.1-beta2 -> v0.1-beta2
 * [new tag]         v0.8-rc    -> v0.8-rc
 * [new tag]         v0.8.0     -> v0.8.0
 * [new tag]         v0.8.1     -> v0.8.1
 * [new tag]         v0.8.2     -> v0.8.2
 * [new tag]         v0.8.3     -> v0.8.3
 * [new tag]         v0.8.4     -> v0.8.4
 * [new tag]         v0.8.5     -> v0.8.5
 * [new tag]         v0.8.6     -> v0.8.6
 * [new tag]         v0.9-beta  -> v0.9-beta
 * [new tag]         v0.9-rc    -> v0.9-rc
 * [new tag]         v0.9-rc2   -> v0.9-rc2
 * [new tag]         v0.9.0     -> v0.9.0
 * [new tag]         v0.9.1     -> v0.9.1
 * [new tag]         v0.9.2     -> v0.9.2
 * [new tag]         v0.9.3     -> v0.9.3
 * [new tag]         v0.9.4     -> v0.9.4
 * [new tag]         v0.9.5     -> v0.9.5
 * [new tag]         v1.0-beta  -> v1.0-beta
 * [new tag]         v1.0-rc    -> v1.0-rc
Fetching origin
remote: Counting objects: 4001, done.
remote: Compressing objects: 100% (2113/2113), done.
remote: Total 4001 (delta 2380), reused 3017 (delta 1781)
Receiving objects: 100% (4001/4001), 2.62 MiB | 354 KiB/s, done.
Resolving deltas: 100% (2380/2380), done.
From https://github.com/roundcube/roundcubemail
 * [new branch]      dev-accessibility -> origin/dev-accessibility
 * [new branch]      master     -> origin/master
 * [new branch]      net_ldap3  -> origin/net_ldap3
 * [new branch]      release-0.6 -> origin/release-0.6
 * [new branch]      release-0.7 -> origin/release-0.7
 * [new branch]      release-0.8 -> origin/release-0.8
 * [new branch]      release-0.9 -> origin/release-0.9
 * [new branch]      release-0.9-canned-responses -> origin/release-0.9-canned-responses
 * [new branch]      release-0.9-kolab-ucs -> origin/release-0.9-kolab-ucs
 * [new branch]      release-0.9-ldap-groups -> origin/release-0.9-ldap-groups
 * [new branch]      release-1.0 -> origin/release-1.0
 * [new branch]      tinymce4   -> origin/tinymce4
 * [new tag]         1.0.0      -> 1.0.0
 * [new tag]         v0.8.7     -> v0.8.7
From https://github.com/roundcube/roundcubemail
 * [new tag]         0.7.4      -> 0.7.4
 * [new tag]         v0.7.3     -> v0.7.3
 * [new tag]         v0.7.4     -> v0.7.4
0 sunny:roundcube$

Here's the 1.0.0 release tag:

0 sunny:roundcube$ cat .git/refs/tags/1.0.0 
7883ecb8ec16108d074f63330b489516c32a3b2f
0 sunny:roundcube$ git log 7883ecb8ec16108d074f63330b489516c32a3b2f~1...7883ecb8ec16108d074f63330b489516c32a3b2f
commit 7883ecb8ec16108d074f63330b489516c32a3b2f
Author: Aleksander Machniak <alec@alec.pl>
Date:   Sat Apr 5 09:25:57 2014 +0200

    Fix again xdebug.max_nesting_level limit handling (#1489110)
0 sunny:roundcube$ 

So, let's cut a branch off the 1.0.0 release tag, and cherry pick our horde plugins.

$ git checkout -b mfpl-release-1.0b 1.0.0

0 sunny:roundcube$ git log v1.0-rc...roundcube-v1.0-rc-mfpl1
commit 643a0274970aac40a829419c8bad5727662c90cc
Author: Steve Revilak <steve@srevilak.net>
Date:   Sat Dec 1 22:02:41 2012 -0500

    (fetch_identity_objects): avoid redundant call to unserialize

commit 7076e27f60cabbebbf9fb86ce6e0f69ae0b5634d
Author: Steve Revilak <steve@srevilak.net>
Date:   Sat Dec 1 21:11:29 2012 -0500

    Adding two plugins: import_horde_contacts, import_horde_identities
0 sunny:roundcube$

0 sunny:roundcube$ git cherry-pick 7076e27f60cabbebbf9fb86ce6e0f69ae0b5634d
[mfpl-release-1.0b c5ee80e] Adding two plugins: import_horde_contacts, import_horde_identities
 2 files changed, 212 insertions(+)
 create mode 100644 plugins/import_horde_contacts/import_horde_contacts.php
 create mode 100644 plugins/import_horde_identities/import_horde_identities.php
0 sunny:roundcube$ git cherry-pick 643a0274970aac40a829419c8bad5727662c90cc
[mfpl-release-1.0b e8f3a38] (fetch_identity_objects): avoid redundant call to unserialize
 1 file changed, 1 insertion(+), 1 deletion(-)
0 sunny:roundcube$

Nuke bad local copy of branch

git branch -d mfpl-release-1.0

Nuke gmo's bad copy of branch

0 sunny:roundcube$ git push gmo :mfpl-release-1.0
X11 forwarding request failed on channel 0
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  - [deleted]         mfpl-release-1.0
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 - [deleted]         mfpl-release-1.0
0 sunny:roundcube$

Rename

0 sunny:roundcube$ git branch -m mfpl-release-1.0b mfpl-release-1.0
0 sunny:roundcube$ git branch
* mfpl-release-1.0
0 sunny:roundcube$

check:

0 sunny:roundcube$ git log --oneline 1.0.0...mfpl-release-1.0
e8f3a38 (fetch_identity_objects): avoid redundant call to unserialize
c5ee80e Adding two plugins: import_horde_contacts, import_horde_identities
0 sunny:roundcube$

Push repaired mfpl-release-1.0 branch upstream.

0 sunny:roundcube$ git push gmo mfpl-release-1.0
X11 forwarding request failed on channel 0
Counting objects: 1117, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (369/369), done.
Writing objects: 100% (878/878), 453.66 KiB, done.
Total 878 (delta 549), reused 783 (delta 498)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  * [new branch]      mfpl-release-1.0 -> mfpl-release-1.0
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new branch]      mfpl-release-1.0 -> mfpl-release-1.0
0 sunny:roundcube$

At this point, git log mfpl-release-1.0..origin/release-1.0 shows me changes committed after the April 7th release, so I think we're in good shape. Tag it.

$ git tag -s roundcube-1.0.0-mfpl1

0 sunny:roundcube$ git push gmo --tags
X11 forwarding request failed on channel 0
Counting objects: 1, done.
Writing objects: 100% (1/1), 859 bytes, done.
Total 1 (delta 0), reused 0 (delta 0)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  * [new tag]         1.0.0 -> 1.0.0
remote:  * [new tag]         roundcube-1.0.0-mfpl1 -> roundcube-1.0.0-mfpl1
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.0 -> 1.0.0
 * [new tag]         roundcube-1.0.0-mfpl1 -> roundcube-1.0.0-mfpl1

roundcube.dev.mayfirst.org deployment

On stallman:

0 roundcube-code@stallman:/srv/roundcube-dev$ git remote update
Fetching gmo
remote: Counting objects: 1118, done.
remote: Compressing objects: 100% (319/319), done.
remote: Total 879 (delta 549), reused 878 (delta 549)
Receiving objects: 100% (879/879), 454.54 KiB, done.
Resolving deltas: 100% (549/549), completed with 166 local objects.
From git://git.mayfirst.org/mfpl/roundcube
 + 643a027...e8f3a38 mfpl-release-1.0 -> gmo/mfpl-release-1.0  (forced update)
 * [new tag]         roundcube-1.0.0-mfpl1 -> roundcube-1.0.0-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.0      -> 1.0.0
0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.0.0-mfpl1
Previous HEAD position was 643a027... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at e8f3a38... (fetch_identity_objects): avoid redundant call to unserialize
0 roundcube-code@stallman:/srv/roundcube-dev$

Check database

0 roundcube-dev@stallman:/srv/roundcube-dev$ php ./bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
NOTICE: Obsolete config options:
(You still have some obsolete or inexistent properties set. This isn't a problem but should be noticed)
- 'mime_magic'

Do you want me to fix your local configuration? (y/N)
n
Please update your config files manually according to the above messages.
WARNING: File type detection doesn't work properly!
Please check the 'mime_magic' config option or the finfo functions of PHP and run this script again.
Executing database schema update.
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube-dev@stallman:/srv/roundcube-dev$


0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
  [...]
Indexing contacts for user 48...done.
Indexing contacts for user 49...done.
Indexing contacts for user 50...done.
0 roundcube-dev@stallman:/srv/roundcube-dev$ 

comment:4 Changed 5 years ago by https://id.mayfirst.org/srevilak

Roundcube 1.0.1 is out. We should upgrade to that instead.

Date: Sun, 11 May 2014 16:40:35 +0200
From: Thomas Bruederli <thomas@roundcube.net>
To: Roundcube Announce List <announce@lists.roundcube.net>
Cc: Roundcube Users List <users@lists.roundcube.net>, Roundcube Dev List
        <dev@lists.roundcube.net>
Subject: [Roundcube Announce] Update 1.0.1 out now
Message-ID: <CAO3naw7TqrxD0DHuLxO44nii88t9_ZWED207XYbdw1xkdWz0dw@mail.gmail.com>

Dear Roundcube users

We can proudly announce the first service release to update the stable
version 1.0 of Roundcube webmail. It contains some important bug fixes
and improvements, primarily a fix for the unintentional redirect from
the compose page in Google Chrome which likely started to appear after
a recent Chrome update.

It's considered stable and we recommend to update all productive
installations of Roundcube with this version. Download it from
http://roundcube.net/download, see the full changelog here:
http://trac.roundcube.net/wiki/Changelog

Please note that the update includes a small MySQL database schema
change, thus make sure you run the update script.

Kind regards,
Thomas
_______________________________________________
Roundcube Announcement mailing list
announce@lists.roundcube.net
http://lists.roundcube.net/mailman/listinfo/announce

comment:5 Changed 4 years ago by https://id.mayfirst.org/srevilak

roundcube.mayfirst.org upgrade to version 1.0.0.

Offline, prepared config.inc.php by taking main.inc.php and db.inc.php, comparing them with defaults.inc.php, and isolating configuration settings that were different from the default.

0 roundcube-code@stallman:/srv/roundcube/config$ git remote update
Fetching gmo
remote: Counting objects: 4413, done.
remote: Compressing objects: 100% (1404/1404), done.
remote: Total 3616 (delta 2507), reused 3283 (delta 2186)
Receiving objects: 100% (3616/3616), 1.73 MiB | 2.92 MiB/s, done.
Resolving deltas: 100% (2507/2507), completed with 352 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   1ece73d..1a71369  master     -> gmo/master
 * [new branch]      mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-1.0.0-mfpl1 -> roundcube-1.0.0-mfpl1
 * [new tag]         roundcube-v1.0-beta-mfpl1 -> roundcube-v1.0-beta-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.0      -> 1.0.0
 * [new tag]         v1.0-beta  -> v1.0-beta
 * [new tag]         v1.0-rc    -> v1.0-rc
0 roundcube-code@stallman:/srv/roundcube/config$ git tag -v roundcube-1.0.0-mfpl1
object e8f3a385143d604525526c7166ce1b65b5a1e9d1
type commit
tag roundcube-1.0.0-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1399154486 -0400

MFPL tag for roundcube 1.0.0 release.

Contains 1.0.0, plus MFPL horde plugins
gpg: Signature made Sat 03 May 2014 06:02:12 PM EDT
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve@srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube/config$ 
0 roundcube-code@stallman:/srv/roundcube/config$ git checkout roundcube-1.0.0-mfpl1
Previous HEAD position was 31b7b7e... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at e8f3a38... (fetch_identity_objects): avoid redundant call to unserialize
0 roundcube-code@stallman:/srv/roundcube/config$ mv /home/roundcube-code/config.inc.php .
0 roundcube-code@stallman:/srv/roundcube/config$ mv db.inc.php main.inc.php OLD
0 roundcube-code@stallman:/srv/roundcube/config$
0 roundcube@stallman:/srv/roundcube$ ./bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
Updating database schema (2013042700)... [OK]
Updating database schema (2013052500)... [OK]
Updating database schema (2013061000)... [OK]
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube@stallman:/srv/roundcube$
0 roundcube@stallman:/srv/roundcube$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 3...done.
 ...
Indexing contacts for user 1000...done.
Indexing contacts for user 1001...done.
Indexing contacts for user 1002...done.
Indexing contacts for user 1003...done.
Indexing contacts for user 1004...done.
0 roundcube@stallman:/srv/roundcube$

That completes the 1.0.0 upgrade. Now, on to 1.0.1.

comment:6 Changed 4 years ago by https://id.mayfirst.org/srevilak

  • Summary changed from Upgrade Roundcube to 1.0.0 Release to Upgrade Roundcube to 1.0.0 (and 1.0.1) Release

comment:7 Changed 4 years ago by https://id.mayfirst.org/srevilak

Code prep for 1.0.1 upgrade

0 sunny:roundcube$ git remote update
Fetching gmo
Fetching origin
remote: Counting objects: 761, done.
remote: Compressing objects: 100% (427/427), done.
remote: Total 761 (delta 481), reused 500 (delta 334)
Receiving objects: 100% (761/761), 645.49 KiB | 0 bytes/s, done.
Resolving deltas: 100% (481/481), done.
From https://github.com/roundcube/roundcubemail
   a539ceb..170e45e  dev-accessibility -> origin/dev-accessibility
 * [new branch]      dev-text2html -> origin/dev-text2html
   37ac407..fa7b319  master     -> origin/master
   0507640..3a7517a  release-0.9-kolab-ucs -> origin/release-0.9-kolab-ucs
   16ce146..599434f  release-1.0 -> origin/release-1.0
   89d6ce6..f41912e  tinymce4   -> origin/tinymce4
From https://github.com/roundcube/roundcubemail
 * [new tag]         1.0.1      -> 1.0.1
0 sunny:roundcube$ git rebase 1.0.1
First, rewinding head to replay your work on top of it...
Applying: Adding two plugins: import_horde_contacts, import_horde_identities
Applying: (fetch_identity_objects): avoid redundant call to unserialize
0 sunny:roundcube$ 

0 sunny:roundcube$ git tag -s  roundcube-1.0.1-mfpl1

0 sunny:roundcube$ git push gmo mfpl-release-1.0
X11 forwarding request failed on channel 0
Counting objects: 24, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (8/8), done.
Writing objects: 100% (8/8), 851 bytes | 0 bytes/s, done.
Total 8 (delta 5), reused 0 (delta 0)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  * [new branch]      mfpl-release-1.0 -> mfpl-release-1.0
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new branch]      mfpl-release-1.0 -> mfpl-release-1.0
0 sunny:roundcube$ git push gmo --tags
X11 forwarding request failed on channel 0
Counting objects: 1, done.
Writing objects: 100% (1/1), 833 bytes | 0 bytes/s, done.
Total 1 (delta 0), reused 0 (delta 0)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  * [new tag]         roundcube-1.0.1-mfpl1 -> roundcube-1.0.1-mfpl1
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new tag]         roundcube-1.0.1-mfpl1 -> roundcube-1.0.1-mfpl1
0 sunny:roundcube$

roundcube.dev deployment

0 roundcube-code@stallman:/srv/roundcube-dev$ git tag -v roundcube-1.0.1-mfpl1
object c382107b78a748e6bf57292d3231430cb4c3a4cd
type commit
tag roundcube-1.0.1-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1401142093 -0400

MF/PL tag for roundcube 1.0.1 release
gpg: Signature made Mon 26 May 2014 06:08:25 PM EDT
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve@srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.0.1-mfpl1
Previous HEAD position was e8f3a38... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at c382107... (fetch_identity_objects): avoid redundant call to unserialize
0 roundcube-code@stallman:/srv/roundcube-dev$ 
0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
NOTICE: Obsolete config options:
(You still have some obsolete or inexistent properties set. This isn't a problem but should be noticed)
- 'mime_magic'

Do you want me to fix your local configuration? (y/N)
N
Please update your config files manually according to the above messages.
WARNING: File type detection doesn't work properly!
Please check the 'mime_magic' config option or the finfo functions of PHP and run this script again.
Executing database schema update.
Updating database schema (2014042900)... [OK]
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube-dev@stallman:/srv/roundcube-dev$
0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
  ...
Indexing contacts for user 49...done.
Indexing contacts for user 50...done.
Indexing contacts for user 51...done.
Indexing contacts for user 52...done.
0 roundcube-dev@stallman:/srv/roundcube-dev$ 

mv and I do some testing. Looks good.

roundcube.mayfirst.org 1.0.1 upgrade

0 roundcube-code@stallman:/srv/roundcube$ git remote update
Fetching gmo
remote: Counting objects: 457, done.
remote: Compressing objects: 100% (131/131), done.
remote: Total 366 (delta 278), reused 318 (delta 233)
Receiving objects: 100% (366/366), 51.16 KiB, done.
Resolving deltas: 100% (278/278), completed with 84 local objects.
From git://git.mayfirst.org/mfpl/roundcube
 + e8f3a38...c382107 mfpl-release-1.0 -> gmo/mfpl-release-1.0  (forced update)
 * [new tag]         roundcube-1.0.1-mfpl1 -> roundcube-1.0.1-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.1      -> 1.0.1
0 roundcube-code@stallman:/srv/roundcube$ git tag -v roundcube-1.0.1-mfpl1
object c382107b78a748e6bf57292d3231430cb4c3a4cd
type commit
tag roundcube-1.0.1-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1401142093 -0400

MF/PL tag for roundcube 1.0.1 release
gpg: Signature made Mon 26 May 2014 06:08:25 PM EDT
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve@srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube$ git checkout roundcube-1.0.1-mfpl1
Previous HEAD position was e8f3a38... (fetch_identity_objects): avoid redundant call to unserialize
HEAD is now at c382107... (fetch_identity_objects): avoid redundant call to unserialize
0 roundcube-code@stallman:/srv/roundcube$ 
0 roundcube@stallman:/srv/roundcube$ php bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
Updating database schema (2014042900)... [OK]
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube@stallman:/srv/roundcube$ 
0 roundcube@stallman:/srv/roundcube$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 3...done.
Indexing contacts for user 4...done.
Indexing contacts for user 5...done.
 ...
Indexing contacts for user 1000...done.
Indexing contacts for user 1001...done.
Indexing contacts for user 1002...done.
Indexing contacts for user 1003...done.
Indexing contacts for user 1004...done.
0 roundcube@stallman:/srv/roundcube$

comment:8 Changed 4 years ago by https://id.mayfirst.org/srevilak

  • Resolution set to fixed
  • Status changed from assigned to closed

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.